Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Interface CriteriaExpression

All Known Implementing Classes:
  CompareByExample, CompoundSelections.Array, CompoundSelections.MultiSelection, CompoundSelections.NewInstance, CompoundSelections.Tuple, ExpressionImpl, Expressions.Abs, Expressions.All, Expressions.Any, Expressions.Avg, Expressions.Between, Expressions.BinarayFunctionalExpression, Expressions.BinaryLogicalExpression, Expressions.Case, Expressions.Cast, Expressions.CastAs, Expressions.Coalesce, Expressions.Concat, Expressions.Constant, Expressions.Count, Expressions.CurrentDate, Expressions.CurrentTime, Expressions.CurrentTimestamp, Expressions.DatabaseFunction, Expressions.Diff, Expressions.Equal, Expressions.Exists, Expressions.FunctionalExpression, Expressions.GreaterThan, Expressions.GreaterThanEqual, Expressions.In, Expressions.Index, Expressions.IsEmpty, Expressions.IsMember, Expressions.IsNotEmpty, Expressions.IsNotNull, Expressions.IsNull, Expressions.Length, Expressions.LessThan, Expressions.LessThanEqual, Expressions.Like, Expressions.ListArgument, Expressions.Locate, Expressions.Lower, Expressions.Max, Expressions.Min, Expressions.Mod, Expressions.Not, Expressions.NotEqual, Expressions.Nullif, Expressions.Product, Expressions.Quotient, Expressions.SimpleCase, Expressions.Size, Expressions.Sqrt, Expressions.SubqueryExpression, Expressions.SubqueryPredicate, Expressions.Substring, Expressions.Sum, Expressions.Trim, Expressions.Type, Expressions.UnaryFunctionalExpression, Expressions.Upper, FetchPathImpl, FromImpl, Joins.AbstractCollection, Joins.Collection, Joins.KeyJoin, Joins.List, Joins.Map, Joins.MapEntry, Joins.MapKey, Joins.Set, Joins.SingularJoin, OrderImpl, ParameterExpressionImpl, PathImpl, PredicateImpl, PredicateImpl.And, PredicateImpl.Or, RootImpl, SelectionImpl, SubqueryImpl

    interface CriteriaExpression

Interface to support Visitor pattern and CQL conversion of Criteria Query nodes.

Since:
  2.0.0
Author:
  Pinaki Poddar

Method Summary
`void` | `acceptVisit(CriteriaExpressionVisitor visitor)` Accept visit from the given visitor.
`StringBuilder` | `asProjection(AliasContext q)` Get a string representation of this node as a projection term in the context of the given query.
`StringBuilder` | `asValue(AliasContext q)` Get a string representation of this node as a value in the context of the given query.
`StringBuilder` | `asVariable(AliasContext q)` Get a string representation of this node as a variable in the context of the given query.

Method Detail

### acceptVisit

    void acceptVisit(CriteriaExpressionVisitor visitor)

  Accept visit from the given visitor. The receiver is responsible to propagate the visitor to the constituent sub-nodes if any.

  Parameters:
    `visitor` - a processor to walk the nodes of a tree.

### asValue

    StringBuilder asValue(AliasContext q)

  Get a string representation of this node as a value in the context of the given query.

### asVariable

    StringBuilder asVariable(AliasContext q)

  Get a string representation of this node as a variable in the context of the given query.

### asProjection

    StringBuilder asProjection(AliasContext q)

  Get a string representation of this node as a projection term in the context of the given query.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.